#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# 'test/misc/testing_gtk_paradise_runner.rb'
# =========================================================================== #
require 'gtk_paradise/require_gtk3'

alias e puts

# =========================================================================== #
# === USE_THIS_TITLE
# =========================================================================== #
USE_THIS_TITLE = 'Testing gtk-paradise-runner'

include Gtk::BaseModule

window = Gtk::Window.new
window.extend(::Gtk::RunModule)
window.reset_the_internal_hash
window.reset_internal_app_module
window.set_title_then_apply(USE_THIS_TITLE)
box = Gtk::Box.new(:vertical)
box.add(Gtk::Label.new('Hey there'))

hbox1 = create_hbox
this_text = text('Yo there <a href="blog.fefe.de">fefe.de</a>')
this_text.fancy_parse
hbox1.add(this_text)
box.add(hbox1)
window.add(box)
window.set_border_width(18)
window.show_all
window.width_height(550, 300)
window.add_delete_event
window.top_left_then_run